Boomi MFT - AFT Management API Reference (v1) - FlowEndpointAlerts
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Retrieves a specific flow endpoint alert configuration
Returns alert configuration for a specific flow endpoint including thresholds and notification settings.
Authorizations:
path Parameters
| flowEndpointAlertId required | integer <int32> Unique identifier of the flow endpoint alert |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Response samples
- 200
- 403
- 500
Deletes a specific flow endpoint alert configuration
Removes alert configuration from flow endpoint.
Authorizations:
path Parameters
| flowEndpointAlertId required | integer <int32> Unique identifier of the flow endpoint alert to delete |
Responses
Response Schema:
object (thruStatus) | |
| data | any or null |
Response samples
- 200
- 403
- 500
Retrieves alert configurations for a specific flow endpoint
Returns alert configuration for a specific flow endpoint.
Authorizations:
query Parameters
| flowEndpointId required | integer <int32> Unique identifier of the flow endpoint |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Response samples
- 200
- 403
- 500
Creates a new flow endpoint alert configuration
Establishes new alert configuration with activity and queue depth thresholds.
Authorizations:
Request Body schema:
Flow endpoint alert configuration details
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "isEnabled": true,
- "activityAlertMinutes": 0,
- "queueDepthIsEnabled": true,
- "queueDepthAlertHours": 0,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z",
- "queueDepthAlertCount": 0
}Response samples
- 200
- 403
- 500
Updates an existing flow endpoint alert configuration
Modifies existing alert configuration including notification thresholds and settings.
Authorizations:
Request Body schema:
Updated flow endpoint alert configuration
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "isEnabled": true,
- "activityAlertMinutes": 0,
- "queueDepthIsEnabled": true,
- "queueDepthAlertHours": 0,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z",
- "queueDepthAlertCount": 0
}Response samples
- 200
- 403
- 500
Saves flow endpoint alert configuration (creates new or updates existing)
Creates new alert configuration if ID is 0, otherwise updates existing configuration.
Authorizations:
Request Body schema:
Flow endpoint alert configuration to save
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Responses
Response Schema:
| id | integer <int32> |
| flowEndpointId | integer <int32> |
| isEnabled | boolean |
| activityAlertMinutes | integer <int32> |
| queueDepthIsEnabled | boolean |
| queueDepthAlertHours | integer <int32> |
| createdBy | string or null |
| createdDate | string or null <date-time> |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| queueDepthAlertCount | integer or null <int32> |
Request samples
- Payload
{- "id": 0,
- "flowEndpointId": 0,
- "isEnabled": true,
- "activityAlertMinutes": 0,
- "queueDepthIsEnabled": true,
- "queueDepthAlertHours": 0,
- "createdBy": "string",
- "createdDate": "2019-08-24T14:15:22Z",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z",
- "queueDepthAlertCount": 0
}Response samples
- 200
- 403
- 500